
/* $Id: cpdfulib.m4,v 3.12 2000/09/26 16:39:51 kohl Exp $ */


/*
 *                      CUMULVS version 1.0:
 *      Computational Steering and Interactive Visualization
 *                   in Distributed Applications
 *           Oak Ridge National Laboratory, Oak Ridge TN.
 *      Authors:  James Arthur Kohl and Philip M. Papadopoulos
 *                   (C) 1996 All Rights Reserved
 *
 *                              NOTICE
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby granted
 * provided that the above copyright notice appear in all copies and
 * that both the copyright notice and this permission notice appear
 * in supporting documentation.
 *
 * Neither the Institution, Oak Ridge National Laboratory, nor the
 * Authors make any representations about the suitability of this
 * software for any purpose.  This software is provided ``as is''
 * without express or implied warranty.
 *
 * CUMULVS was funded by the U.S. Department of Energy.
 */


/* cpdfulib.m4 - macros to build FORTRAN interface for cpd_ulib  */


#include <stdio.h>

#include "stv.h"
#include "stvmac.h"
#include "cpd_proto.h"
#include "stv_glob.h"


void
FUNCTION(stvfcpinit) ARGS(`STRING_ARG(name),notifytag,ntasks,info')
STRING_ARG_DECL(name);
int  *notifytag;
int  *ntasks;
int  *info;
{
        char cname[stvMaxNameLen +1];

        /*
         * Copy the cname  to make sure there's
         * a NUL at the end.
         */
        if ( stv_f_to_c_str( cname, sizeof(cname),
				STRING_PTR(name), STRING_LEN(name) ) )
        {
                *info = stvStatusBadParam;
                return;
        }

		*info = stv_cpInit( cname, *notifytag, ntasks );
}


void
FUNCTION(stvfcheckpoint) ARGS(`info')
int  *info;
{
        *info = stv_checkpoint();
        return;
}


void
FUNCTION(stvfloadfromcp) ARGS(`info')
int  *info;
{
        *info = stv_loadFromCP();
        return;
}


void
FUNCTION(stvfiscprestart) ARGS(`info')
int  *info;
{
		*info = stv_isCpRestart();
        return;
}


void
FUNCTION(stvfgeneration) ARGS(`info')
int  *info;
{
		*info = stv_generation();
        return;
}


void
FUNCTION(stvfclientnotify) ARGS(`tag,value,info')
int  *tag, *value, *info;
{
		*info = stv_client_notify(*tag,*value);
        return;
}


void
FUNCTION(stvfcpfinished) ARGS(`info')
int  *info;
{
		*info = stv_cpFinished();
        return;
}


void
FUNCTION(stvfaoutrestart) ARGS(`STRING_ARG(name),info')
STRING_ARG_DECL(name);
int  *info;
{
        char cname[stvMaxNameLen +1];

        /*
         * Copy the cname  to make sure there's
         * a NUL at the end.
         */
        if ( stv_f_to_c_str( cname, sizeof(cname),
				STRING_PTR(name), STRING_LEN(name) ) )
        {
                *info = stvStatusBadParam;
                return;
        }
		*info = stv_aout_restart(cname);
}


void
FUNCTION(stvfuserrecv) ARGS(`src, tag, ctxt, info')
int *src, *tag, *ctxt, *info;
{
	*info = stv_userRecv( *src, *tag, *ctxt );

	return;
}


void
FUNCTION(stvfuserinitsend) ARGS(`type, tag, info')
int *type, *tag, *info;
{
	*info = stv_userInitSend( *type, *tag );

	return;
}


void
FUNCTION(stvfusersend) ARGS(`dest, ctxt, info')
int *dest, *ctxt, *info;
{
	*info = stv_userSend( *dest, *ctxt );

	return;
}


void
FUNCTION(stvfusermcast) ARGS(`list, nlist, ctxt, info')
int *list, *nlist, *ctxt, *info;
{
	*info = stv_userMcast( list, *nlist, *ctxt );

	return;
}

