
/* $Id: flyme_glob.h,v 3.0 1996/08/23 22:06:23 kohl Exp $ */


/*
 *                      CUMULVS version 1.0:
 *      Computational Steering and Interactive Visualization
 *                   in Distributed Applications
 *           Oak Ridge National Laboratory, Oak Ridge TN.
 *      Authors:  James Arthur Kohl and Philip M. Papadopoulos
 *                   (C) 1996 All Rights Reserved
 *
 *                              NOTICE
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby granted
 * provided that the above copyright notice appear in all copies and
 * that both the copyright notice and this permission notice appear
 * in supporting documentation.
 *
 * Neither the Institution, Oak Ridge National Laboratory, nor the
 * Authors make any representations about the suitability of this
 * software for any purpose.  This software is provided ``as is''
 * without express or implied warranty.
 *
 * CUMULVS was funded by the U.S. Department of Energy.
 */


/* Flyme Globals Declarations */


/* Externals */

extern	int 	errno;


/* STV Globals */

extern	STV_VIEW_FIELD_GROUP CURRENT_VFG;

extern	STV_VIEW_FIELD_GROUP RADAR_VFG;

extern	STV_VIEW_FIELD CURRENT_VF;

extern	STV_VIEW_PARAM CURRENT_VP;

extern	STV_VIEWER VIEWER;

extern	STV_REGION MAX_REGION;

extern	STV_REGION VISREGION;

extern	STV_CELL VISCELL;

extern	double AUTO_ZOOM_FACTOR;

extern	double ZOOM_FACTOR;

extern	int ZOOM_LIMIT;

extern	double RADAR_RANGE;

extern	int RADAR_CHANGED;

extern	int GRID_SPACING;

extern	int HELI_RADIUS;

extern	int INITIALIZED;

extern	int CONNECTED;

extern	int PLAY_MODE;

extern	int BASE_SCORE;

extern	int MY_SCORE;

extern	int STEERING;

extern	int RESTART;

extern	int MYTID;

extern	int FREQ;

extern	int HEADING_GOAL_INDEX;
extern	int VELOCITY_GOAL_INDEX;
extern	int RADAR_RANGE_INDEX;
extern	int FIRE_BULLET_INDEX;
extern	int SHIELDED_INDEX;
extern	int HELI_INDEX;
extern	int RELEASE_INDEX;


/* TCL / TK Globals */

extern	Tcl_Interp	*interp;

extern	Tk_Window	Top;

extern	Display		*Disp;

extern	char	**Argv;
extern	int 	Argc;


/* Heli Globals */

extern	HELI	CURRENT_HELI;

extern	WIN		RADAR_WIN;

extern	WIN		MAIN_WIN;

extern	REGION_STACK	REGIONS;

extern	char	TMP_COORD1[255];
extern	char	TMP_COORD2[255];
extern	char	TMP_COORD3[255];
extern	char	TMP_COORD4[255];

extern	char	TMP_CMD[1024];

extern	char	*FLYME_DIR;

extern	char	*FM;
extern	char	*FM_C;
extern	char	*FM_R;
extern	char	*FM_I;
extern	char	*FM_IF;
extern	char	*FM_IS;
extern	char	*FM_IH;

extern	int		STEER_RELEASE;

extern	int		STEER_ACTIVE;

extern	int		AUTO_STEER;

extern	int		AUTO_ZOOM;

extern	int		PTR_VALID;

extern	int		PTR_X;
extern	int		PTR_Y;

extern	int		REGION_ID;

extern	int		TIMER_INTERVAL;

extern	int		ROTOR_CLICKS;

extern	int		BORDER_SPACE;
extern	int		FRAME_BORDER;
extern	int		ROW_HEIGHT;
extern	int		COL_WIDTH;

extern	int		qflag;
extern	int 	vflag;

